XmStringGetNextTriple(3)

NAME
XmStringGetNextTriple — An XmString function that returns the type, length, and value of the next component in the compound string

SYNOPSIS

#include <Xm/Xm.h>
XmStringComponentType XmStringGetNextTriple(
XmStringContext context,
unsigned int *length,
XtPointer *value);

DESCRIPTION

XmStringGetNextTriple returns the type, length, and value of the next component in the compound string identified by context. This function returns one component at a time.

context
    Specifies the string context structure that was allocated by the XmStringInitContext function.

length
    Specifies a pointer to the length of the value of the returned component.

value
    Specifies a pointer to the value of the returned component. If the returned value is not NULL, the function allocates space to hold the returned value. When the application no longer needs the returned compound string, the application should call XtFree.

RETURN

Returns the type of the component found. Refer to the XmStringComponentType(3) reference page for a list of component types.

RELATED

XmDirection(3), XmString(3), XmStringComponentType(3), XmStringGetNextComponent(3), and XmStringPeekNextTriple(3).